#pragma once

#include "Widget.h"

class CanvasController;

class CanvasView : public Widget
{
public:
    CanvasView();

    ~CanvasView();

    static std::unique_ptr<CanvasView> Create();

private:

    void initialize();

    std::unique_ptr<Widget> initializeCacheButtons();

    //std::unique_ptr<Widget> initializeCacheButtons();

    std::unique_ptr<CanvasController> mController;
};
using CanvasViewPtr = std::unique_ptr<CanvasView>;
